Aggiornare Ubuntu 12.04 o 13.10 in Ubuntu 14.04 Trusty LTS

In questa semplice guida vedremo come aggiornare facilmente Ubuntu 12.04 Precise LTS o Ubuntu 13.10 Saucy in Ubuntu 14.04 Trusty LTS.

Ubuntu: aggiornare a Ubuntu 14.04 Trusty
Ubuntu 14.04 Trusty Tahr è una release che porta con se moltissime novità e soprattutto migliorie che rendono ancora più stabile, sicura e veloce la distribuzione sviluppata da Canonical. In Ubuntu 14.04 Trusty troviamo il supporto per Trim e migliorie per la tecnologia Optimus di Nvidia, inoltre troviamo il nuovo Kernel 3.13, Mesa 10 e driver open source e proprietari aggiornati che rendono la distribuzione ancora più stabile e veloce. Se abbiamo Ubuntu 12.04 Precise LTS o Ubuntu 13.10 Saucy possiamo già aggiornare la distribuzione in Ubuntu 14.04 Trusty Tahr con molta facilità, ecco come fare.

Prima di procedere con l’aggiornamento è consigliabile effettuare il backup dei nostri dati, per farlo possiamo utilizzare una pendrive, hard disk esterno oppure salvarli su uno spazio web offerto da servizi di storage cloud come ad esempio Ubuntu One, in maniera tale che in caso di problemi con l’aggiornamento non rischieremo di perderli.

Ricordo inoltre che la guida è valida sia per Ubuntu che per le derivate ufficiali come Kubuntu, Xubuntu, Lubuntu e Ubuntu GNOME.

Aggiornare Ubuntu 12.04, 13.04 o 13.10 in Ubuntu 14.04 Trusty LTS è molto semplice nella maggior parte dei casi non porta gravi problemi, per poter effettuare l’aggiornamento per prima coda dovremo verificare che la nostra distribuzione sia aggiornata.
Per aggiornare la nostra distribuzione basta avviare il gestore degli aggiornamenti oppure digitare da terminale:

sudo apt-get update
sudo apt-get upgrade

al termine dell’aggiornamento riavviamo la nostra distribuzione.
Al riavvio potremo procedere con l’aggiornamento cliccando su ALT+F2 e digitiamo:

update-manager -d

per Unity basta cliccare sul risultato dal Dash come da immagine:

update-manager -d

Si aprirà il Gestore degli aggiornamenti che, dopo una scansione del sistema, ci chiederà di effettuare l’aggiornamento ad Ubuntu 14.04 Trusty LTS (come da immagine in alto) basta confermare, al termine dell’aggiornamento dovremo riavviare, al riavvio avremo Ubuntu 14.04 Trusty LTS.

Ubuntu 14.04 Trusty LTS

Può capitare per vari motivi che il gestore dell’upgrade di Ubuntu 14.04 Trusty LTS non si avvii in questo caso digitiamo da terminale:

sudo apt-get install update-manager-core
sudo do-release-upgrade

se tutto corretto dovrebbe partire il gestore che ci indicherà di effettuare l’aggiornamento ad Ubuntu 14.04 Trusty LTS.

In caso di problemi con l’aggiornamento o per maggiori informazioni basta commentare questa guida.

96 Commenti

  1. Io ho da tempo immemore ho sempre partizionato il disco in root, home e swap, così non ho mai avuto bisogno di fare il backup: semplicemente formatto la root e installo la nuova versione, lasciando intatta la home.

    • Come fai a perdere la licenza se Windows è su una virtual machine? 1 computer 1 licenza. L’importante è che non trasferisci la macchina virtuale su un altro computer.

    • L’importante è non cambiare l’Hardware.. Ma poi anche con una licenza di Windows se la usi in due o tre computer non ti dice niente nessuno…

  2. ragazzi, una domanda: che differenza c’è, tecnicamente, tra un aggiornamento di versione come quello di ubuntu, e il modello di aggiornamento rolling di preciso? non si tratta sempre di aggiornare i pacchetti tramite repo?
    sono consapevole che non è lo stesso, ma volevo sapere la diffrenza “tecnica”

    • con ubuntu ricevi aggiornamenti di kernel, ambiente desktop, applicazione ogni versione ossia ogni 6 mesi o 5 anni (conforme la versione)

      mentre con la rolling non hai alcuna versione una volta installata ricevi aggiornamenti del kernel, ambienti desktop applicazioni sempre

    • In una Rolling i pacchetti si aggiornano di continuo, man mano che vengono aggiornati nei repo, mentre in casi come quello di Ubuntu esistono repo differenti per diverse versioni di Ubuntu: per aggiornare da una versione all’altra tu cambi repo e aggiorni TUTTI i pacchetti insieme… Inoltre, vecchie versioni di ubuntu non aggiornano driver, kernel, ecc, mentre in una Rolling come arch di solito si mantiene un kernel LTS con i relativi moduli e l’ultimo kernel, senza tutte le versioni internedie (cosa che invece fa Manjaro, per esempio…)

      • Scusa ma non ho capito la differenza nella gestione del kernel tra Arch e Manjaro, potresti spiegare meglio per cortesia?

        • Manjaro ha attualmene 4 versioni del kernel tra cui sceglere, una volta installate al boot: la 3.10 , 3.11, 3.12 e 3.13
          penso che inoltre, all’uscita del 3.14, il 3.11 verrà abbandonato, poichè è una EOL

          arch invece passa uatomaticamente all’ultima versione, una volta che i devs la ritengono abbatanza stabile

          • Grazie per la risposta 🙂
            Però Manjaro di default quale versione utilizza?
            Perché avevo installato Manjaro ma non mi ha mai chiesto di scegliere la versione del kernel (sono ancora noob in Linux hehehe) e poi in teoria tutto si aggiorna da solo vero?

          • Manjaro per ora forse usa la 3.12 per la iso di installazione, ma non ne sono sicuro… In ogni caso puoi usare sudo mhwd-kernel -li per vedere i kernel installati, oppure -l per quelli disponibili, e infine -i per installarne uno (se volessi il 3.11, per puro esempio, basta: sudo mhwd-kernel -i linux311). Considera che sto rispondendo da un cellulare, quindi non ho verificato che sia tutto corretto!!

          • Grazie mille! ultima domanda, il gestore degli aggiornamenti installa in automatico le attualizzazioni del kernel o lo devo fare io da terminale?

          • dunque, manjaro usa di default il kernel 3.10.

            questo, e gli altri 3 kernel disponibili, vengono aggiornati di versione (ovvero bugfix) automaticamente, dopo essere stati testati.

            se tu volessi ipoteticamente passare dal kernel 3.10 al 3.12 devi:
            – installare il kernel 3,12 (con pacman o pamac) e i drivers annessi
            – riavviare e selezionare dal boot la versione del kernel che vuoi
            – eventualmente , solo dopo aver riavviato, puoi disinstallare il kernel cje non ti serve più.

            Consiglio, se vuoi installare manjaro, una partizione /boot dedicata tra i 300 ed i 500 mb circa per stare bello largo e sicuro, nel caso volessi tenere due o più kernels installati

          • Con Manjaro non si usa né pacman, né pamac/octopi, per gestire le versioni del kernel. Si usa il comando mhwd-kernel. Digita mhwd-kernel -h nel terminale, per avere tutte le opzioni.

          • Grazie ragazzi per le risposte!
            un’altra cosa su Manjaro che forse non centra molto però mi ha sempre incuriosito.. perchè nella directory Home di Manjaro oltre alle cartelle tipiche di un utente (immagini, video, documenti etc…) ce ne sono tanti file e cartelle che iniziano col punto che sembrano di sistema… esiste modo di togliere o spostarle per avere una Home pulita come in altre distro?

          • Quelle sono le cartelle nascoste ed esistono in ogni distro, non solo Manjaro. Di solito il file manager è impostato per non mostrarle. Prova a nasconderle col comando CRTL+h

          • usa la 3.10 LTS, ma ci sono delle “votazioni” in corso su quali kernel mantenere e quali utilizzare di default.

            personalmente, per una distro che vuol essere stabile, il 3.10 è praticamente una roccaforte, essendo arrivato alla sua 33esima versione

        • Esattamente come dice ge+, con l’unica aggiunta che in realtà arch mantiene 2 versioni del kernel, l’ultima (attualmente la 3.13) e una LTS (la 3.10, mi pare) per chi ha bisogno di usare moduli che richiedono kernel più vecchi…

      • grazie… volevo saperlo perchè quando, all’epoca, passai da ubuntu 8 a ubuntu 9 ebbi effettivamente dei rallentamenti, soprattutto nei tempi di boot

  3. Non riesco a far partire l’aggiornamento. Sia dal gestore che dal terminale la risposta è che non ci sono aggiornamenti. La cosa è molto strana poichè io utilizzo la 12.04

  4. La trovo estremamente più reattiva e stabile di quella schifezza di 13.10… Consigliere i l’aggiornamento già da subito

  5. scusate non sono un nerd ma non bisogna cambiare i repository prima di aggiornare con i comandi update e upgrade non mi sembra scritto nell articolo

  6. Una coss strana… dopo l’ aggiornamento mi ritrovo rhythmbox disinstallato e ora se provo a reinstallarlo dal Software Center o da terminale mi dice che é impossibile soddisfare le dipendenze T_T ….. soluzioni?

  7. scusate una domanda…. dopo l’ aggiornamento mi sono rimasti tutti i ppa saucy disattivati… che mi consigliate li riattivo o li cancello… scusate forse è una domanda stupida.

  8. …niente da fare con la grafica AMD…nuovo ubuntu, nuovo kernel, nuove funzionalità….ma con i driver proprietari delle ATI, ancora schermo nero…e, attenzione, non per mancanza della ‘grafica’, ma semplicemente per la mancata attivazione della retroilluminazione…che tristezza..!!! (ASUS X52JT, grafica Radeon HD6370M)….

    • Se non hai particolari motivazioni per aggiornare, sì, ti conviene aspettare il rilascio.
      Non che vi siano particolari bug a questo punto dello sviluppo, ma stanno ancora cambiando qualcosa.

  9. Solo un piccolo problema (che già avevo anche con la 13.10 su tutti i pc): dopo un po’ il boot mi si rallenta tremendamente, ovvero inizialmente si presenta solo il cursore su sfondo nero e dopo diversi secondi si carica tutto il resto. C’è qualcosa che dovrei controllare o mi conviene reinstallare direttamente con la 14.04?

  10. A me quando lancio il comando “sudo do-release-upgrade” mi dà “Nessun nuovo rilascio trovato” ed ho una versione LTS 12.04

      • Verificate e nel gestore aggiornamenti avete spuntato la notifica delle nuove versioni, non uso Ubuntu da un po’, ma mi pare di default fosse disabilitato.

          • Io ho ricontrollato su una VM creata apposta, dopo aver spontato di notificare le nuove versioni (ho messo qualunque versione) e aver dato i vari aggiornamenti, mi ha notificato la 14.04…credo sia tutto li il problema…Nel dubbio io aggiorno sempre con apt-get e non con il gestore.

  11. Durante l’avanzamento ho questo problema:

    Impossibile calcolare l’avanzamento

    An unresolvable problem occurred while calculating the upgrade.

    This can be caused by:
    * Upgrading to a pre-release version of Ubuntu
    * Running the current pre-release version of Ubuntu
    * Unofficial software packages not provided by Ubuntu

    Se non vengono installati, segnalare il problema usando il comando «ubuntu-bug ubuntu-release-upgrader-core» in un terminale.

    ——

    Soluzioni?

    Grazie 🙂

  12. stai facendo aggiornare ad un sacco di gente ignara che sia una beta… ma che onestà intellettuale hai? pur di fare accessi… Hai perso un lettore!

  13. “In caso di problemi con l’aggiornamento o per maggiori informazioni basta commentare questa guida”

    Io vorrei soltanto far presente a chi voglia intraprendere quest’ennesima avventura che la procedura descritta nell’articolo presenta chiaramente dei rischi e che l’unico modo davvero sicuro di aggiornare una qualunque ubuntu e derivata resta crearsi una home separata e installare il nuovo sistema ex-novo…. questo nell’articolo DOVEVA essere scritto
    L’affermazione che ho citato all’inizio è un pò come dire “a casino avvenuto vedremo quello che si può fare”…
    Queste guide andrebbero poste in un diverso contesto e spiegati bene i rischi e pericoli perchè leggendola sembra facile quanto aggiornare un pacchetto….. e non è così… se il bello di linux è che raramente ti costringe a reinstallare queste guide sembrano cercare in tutti i modi di invertire questa felice caratteristica…. uomo avvisato, mezzo salvato..

    • gli ultimi aggiornamenti di ubuntu non hanno più i problemi di una volta
      logicamente può capitare che ci siano dei problemi legati principalmente a ppa e repo di terze parti e non ad ubuntu
      in caso di problemi di ppa basta segnalarli e vedere come risolverli
      da notare che proprio la guida ufficiale per l’update indicata da ubuntu / canonical è bene o male la stessa riportata nell’articolo

      fino a pochi anni fa anch’io consigliavo di reinstallare ad ogni versione tutto da 0
      gli ultimi aggiornamenti di release ubuntu sono molto spesso aggiornateti di versione e basta come il caso di ubuntu 14.04

      • la procedura è migliorata ma la logica sconsiglia di far migrare una stabile a una beta…. a patto che uno non voglia provare e sia effettivamente consapevole….
        Basta vedere i commenti: alcuni bene mentre altri rischiano di perdere il sistema e comunque hanno passato diverse rogne…
        Ripeto: io un bel avviso scritto in neretto lo avrei messo…. poi per carità… il blog è il tuo e fai come vuoi… io ho scritto il post anche per futuri avventurieri con la malattia dell’aggiornite.. anche perchè basterebbe aspettare un paio di settimane rischiando nulla….

    • sono d’accordissimo con te, anche se reputo la guida di Roberto più completa ci sono altri siti che hanno scritto ben chiaro che si tratta di una beta

  14. La mia domanda è, se installo la beta2 o comunque l’ultima relase, il sistema tramite aggiornamenti subirà le modifiche per poi arrivare ad essere la versione finale? oppure dovrò piallare di nuovo?

      • Da quel che ne so, i ppa sono e rimarranno quelli, non esistono ppa di test come per debian quindi avrai già la 14.04 il giorno in cui sarà rilasciata un’immagine stabile, che in fondo, altro non è che la daily build (di quel giorno)…

  15. Ho aggiornato, ma ad ogni avvio ora mi va in Kernel Panic e l’unico modo per risolvere è andare in recovery mode e dare il comando resume. Come posso risolvere?

  16. Una volta arrivato alla 2° fase mi dà questo errore e si ferma l’aggiornamento:

    “W:Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_trusty_main_binary-amd64_Packages Somma hash non corrispondente

    , W:Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_trusty_universe_binary-amd64_Packages Somma hash non corrispondente

    , W:Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_trusty_universe_binary-i386_Packages Somma hash non corrispondente

    , E:Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.”

  17. retifico: ora l’errore che mi dà è questo .__.

    An unresolvable problem occurred while calculating the upgrade.

    This can be caused by:

    * Upgrading to a pre-release version of Ubuntu

    * Running the current pre-release version of Ubuntu

    * Unofficial software packages not provided by Ubuntu

  18. Doamnda cretina -o quasi- a chi ha già fatto l’aggiornamento “senza problemi”: I programmi installati funzionano tutti dopo l’aggiornamento?

  19. Una volta arrivato alla 2° fase mi dà questo errore e si ferma l’aggiornamento:

    “W:Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_trusty_main_binary-amd64_Packages Somma hash non corrispondente

    , W:Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_trusty_universe_binary-amd64_Packages Somma hash non corrispondente

    , W:Impossibile recuperare bzip2:/var/lib/apt/lists/partial/it.archive.ubuntu.com_ubuntu_dists_trusty_universe_binary-i386_Packages Somma hash non corrispondente

    , E:Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.”

  20. Sto provando ad aggiornare Xubuntu 12.04, ma dopo aver lanciato update-manager -d e cliccato su “esegui avanzamento”, mi si apre una finestra con le note di rilascio dove dice di stare in campana che si tratta ancora di una “development release”… non dovrebbe essere stabile da oggi?

  21. Ciao, volevo sapere cosa poso fare per sbloccare l’aggiornamento xk si è bloccato alla fase -installazione degli aggiornamenti- e precisamente a -configurazione di bcmwl-kernel source- mentre nel terminale come ultio comando eseguito dice – DKMS: iinstall completed.-

  22. sono arrivato all’ultimo punto….ma non trova nuovi rilasci di ubuntu. sono fermo alla 13.10. ho ricevuto un messaggio il quale riportava che verrò supportato finoal 1 luglio pv.

    …aspetto qualche giorno …o cambio OS?…o ci sono altri trick?

    • Qua dicono che magari hai cambiato il file sources . list … Prova come dicono loro
      O magari setta il server principale da sorgenti software

      http : // askubuntu . com / questions /451616 / cant-update-to-14-04-because-software-updater-cant-set-new-software-channels

  23. Salve a tutti, sto tentano il passaggio dalla 12.04 alla 14.04 ma in fase di “Recupero nuovi pacchetti2 ottendo il seguente errore: “Failed to fetch http://it.archive.ubuntu.com/ubuntu/pool/main/a/account-plugins/account-plugin-twitter_0.11+14.04.20140409.1-0ubuntu1_all.deb Le dimensioni non corrispondono” e non so da che parte rifarmi…. qualche consiglio?!
    Grazie!!
    PS: A fine della fase “Preparazione all’avanzamento di versione” ho ottenuto un avviso “Sorgenti diterze perti disabilitate”

  24. Si può passare da Ubuntu 12.04 LTS a Ubuntu 14.04 LTS anche quando Ubtuntu 12.04 LTS è stato installato accanto a Windows 7 con Wubi?

  25. Ciao. Stavo facendo l’aggiornamento come al solito, senza usare il terminale ma dando ok subito dopo aver inserito la password amministratore è scomparso tutto ed ora non c’è più l’icona che mi avvisa della presenza di nuovi aggiornamenti ma non solo…cliccando su “aggiornamenti software” dopo aver effettuato il controllo mi dice:”scaricamento delle informazioni del repository non riuscito. controllare la propria connessione internet”. La mia connessione funziona bene invece. Ho provato a seguire questa guida utilizzando il terminale ma la risposta è questa: Err http://archive.ubuntu.com quantal/main Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal/restricted Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal/universe Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal/multiverse Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal/main i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal/restricted i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal/universe i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal/multiverse i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-updates/main Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-updates/restricted Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-updates/universe Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-updates/multiverse Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-updates/main i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-updates/restricted i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-updates/universe i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-updates/multiverse i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-security/main Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-security/restricted Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-security/universe Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-security/multiverse Sources
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-security/main i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-security/restricted i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-security/universe i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-security/multiverse i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-proposed/restricted i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-proposed/main i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-proposed/multiverse i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    Err http://archive.ubuntu.com quantal-proposed/universe i386 Packages
    404 Not Found [IP: 91.189.88.149 80]
    W: Impossibile recuperare http://archive.ubuntu.com/ubuntu/dists/quantal/main/source/Sources 404 Not Found [IP: 91.189.88.149 80]

    W: Impossibile recuperare http://archive.ubuntu.com/ubuntu/dists/quantal/restricted/source/Sources 404 Not Found [IP: 91.189.88.149 80]

    Cosa poso fare? Non posso più aggiornare? Grazie

LASCIA UN COMMENTO

Please enter your comment!
Please enter your name here